# Linux Server Tools

curl -o /tmp/Init-Server.sh https://git.lucidtime.de/Hikyu/linux-server-tools/-/raw/dev/Init-Server.sh?ref_type=heads && bash /tmp/Init-Server.sh && rm /tmp/Init-Server.sh

## What this script does

The script performs the following setup tasks:

1. SSH Setup
   - Creates .ssh directory if needed
   - Adds provided SSH public key to authorized_keys

2. System Updates
   - Updates package lists
   - Upgrades installed packages

3. Basic Tools Installation
   - htop (Process monitoring)
   - zip/unzip
   - UFW (Firewall)
   - screen (Terminal multiplexer)
   - vim, nano (Text editors)
   - git (Version control)
   - curl, wget (Download tools)
   - tree (Directory visualization)
   - ncdu (Disk usage analyzer)

4. Security Configuration
   - Enables UFW firewall
   - Configures SSH access

5. Docker Installation (Optional)
   - Installs Docker Engine
   - Sets up Docker repository
   - Configures Docker to start on boot

6. Dockge Installation (Optional)
   - Installs Dockge container management
   - Runs on port 5001

7. Node.js Installation (Optional)
   - Installs Node.js LTS version
